Bug 248459 - Mk/Uses/readline.mk: Remove unnecessary 'port' argument
Summary: Mk/Uses/readline.mk: Remove unnecessary 'port' argument
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on: 248446
Blocks:
  Show dependency treegraph
 
Reported: 2020-08-03 22:30 UTC by Yasuhiro Kimura
Modified: 2021-05-15 07:17 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (portmgr)
antoine: exp-run+


Attachments
Patch file (17.25 KB, patch)
2020-08-03 22:30 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (19.34 KB, patch)
2020-08-30 19:26 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (19.80 KB, patch)
2020-09-05 01:44 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (19.81 KB, patch)
2020-09-13 22:03 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (18.89 KB, patch)
2020-09-21 16:32 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (18.82 KB, patch)
2020-12-08 06:51 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (18.80 KB, patch)
2020-12-19 08:56 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (19.69 KB, patch)
2021-02-03 16:39 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2020-08-03 22:30:50 UTC
Created attachment 216997 [details]
Patch file

Currently no supported FreeBSD version has libreadline.so in base system. Then if 'Uses=readline' is used devel/readline is always added to dependency whether or not 'port' argument is specified. So remove unnecessary 'port' argument now.
Comment 1 VVD 2020-08-04 08:29:34 UTC
databases/sqlite3/Makefile need more work: remove option READLINES and rename option READLINEP to READLINE.
Comment 2 Yasuhiro Kimura 2020-08-04 09:27:06 UTC
(In reply to VVD from comment #1)

It was submitted as bug #248446.
Comment 3 Po-Chuan Hsieh freebsd_committer 2020-08-19 16:49:52 UTC
Update patch [1]:
- Remove databases/sqlite3 after r545157
- Add missing lang/io/Makefile.addons and math/units/Makefile

[1] https://people.FreeBSD.org/~sunpoet/patch/USES-readline.txt

Pass this PR to the maintainer (portmgr@).
Comment 4 Antoine Brodin freebsd_committer 2020-08-20 09:22:18 UTC
The patch seems wrong,  all ports fail with error:

Incorrect 'USES+=readline:' readline takes no arguments
Comment 5 Yasuhiro Kimura 2020-08-30 19:26:15 UTC
Created attachment 217658 [details]
Updated patch file

* Add missing audio/ardour6/Makefile.
* Simplify options related to readline in devel/gdb/Makefile.

I tried test build of following modified ports with poudriere and 12.1-RELEASE amd64 jail.

audio/ardour5
audio/ardour6
audio/ecasound
audio/libsmf
audio/yoshimi
biology/mrbayes
devel/gdb
devel/grv
devel/opendht
devel/tclreadline
devel/tig
games/wesnoth
lang/io
lang/mdk
lang/newlisp
lang/python27
lang/python35
lang/python36
lang/python37
lang/python38
lang/ruby25
lang/ruby26
lang/ruby27
lang/sdcc
math/R
math/asymptote
math/cvc4
math/eukleides
math/libqalculate
math/units
print/fontforge
security/krb5-116
security/krb5-117
security/krb5-118
security/krb5-devel
sysutils/bareos-server
sysutils/bareos16-server
sysutils/bareos17-server
sysutils/bareos18-server
sysutils/slurm-wlm

And all of them but sysutils/bareos-server are built successfully.
Build of sysutils/bareos-server also fails without this patch.
Comment 7 Yasuhiro Kimura 2020-09-05 01:44:31 UTC
Created attachment 217759 [details]
Updated patch file

Fix build of lang/scm.
Comment 8 Antoine Brodin freebsd_committer 2020-09-09 06:29:49 UTC
Exp-run looks fine
Comment 9 Yasuhiro Kimura 2020-09-13 22:03:11 UTC
Created attachment 217938 [details]
Updated patch file

Update patch to make it fit to latest ports tree.
Comment 10 Yasuhiro Kimura 2020-09-21 16:32:51 UTC
Created attachment 218148 [details]
Updated patch file

Update patch to chase removal of audio/ardour5 and lang/python35.
Comment 11 Yasuhiro Kimura 2020-12-04 07:44:35 UTC
Hello Sunpoet,

You are the maintainer of devel/readline. So would you please commit my latest patch?

Best Regards.
Comment 12 Yasuhiro Kimura 2020-12-08 06:51:26 UTC
Created attachment 220365 [details]
Updated patch file

Chase update of audio/ecasound.
Comment 13 Yasuhiro Kimura 2020-12-19 08:56:47 UTC
Created attachment 220710 [details]
Updated patch file

Chase update of sysutils/bareos-server and sysutils/bareos18-server.
Comment 14 Yasuhiro Kimura 2021-02-03 16:39:09 UTC
Created attachment 222126 [details]
Updated patch file

Update patch to make it fit to the latest ports tree.
Comment 15 commit-hook freebsd_committer 2021-05-15 07:13:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c210d2ab69b612d5b7974a34d267be027039b827

commit c210d2ab69b612d5b7974a34d267be027039b827
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-05-15 06:51:40 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-05-15 07:14:05 +0000

    Mk/Uses/readline.mk: Remove unnecessary 'port' argument

    Currently no supported FreeBSD version has libreadline.so in base.
    Then if 'USES=readline' is used devel/readline is always added to
    dependency whether or not 'port' argument is specified.  So remove
    unnecessary 'port' argument now.

    PR:             248459
    Exp-run by:     antoine

 Mk/Uses/readline.mk | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)
Comment 16 commit-hook freebsd_committer 2021-05-15 07:14:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9671981826f7ef8b1e7fb0a430ee24d4a1f0acf2

commit 9671981826f7ef8b1e7fb0a430ee24d4a1f0acf2
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-05-15 06:50:22 +0000
Commit:     Tobias Kortkamp <tobik@FreeBSD.org>
CommitDate: 2021-05-15 07:14:04 +0000

    *: Remove unnecessary 'port' argument from USES=readline

    PR:             248459
    Exp-run by:     antoine

 audio/ardour6/Makefile            |  2 +-
 audio/ecasound/Makefile           |  2 +-
 audio/libsmf/Makefile             |  2 +-
 audio/yoshimi/Makefile            |  2 +-
 biology/mrbayes/Makefile          |  2 +-
 devel/gdb/Makefile                |  2 +-
 devel/grv/Makefile                |  2 +-
 devel/opendht/Makefile            |  2 +-
 devel/tclreadline/Makefile        |  2 +-
 devel/tig/Makefile                |  2 +-
 games/wesnoth/Makefile            |  2 +-
 lang/io/Makefile.addons           |  2 +-
 lang/mdk/Makefile                 |  2 +-
 lang/newlisp/Makefile             |  2 +-
 lang/python27/Makefile            |  2 +-
 lang/python36/Makefile            |  2 +-
 lang/python37/Makefile            |  2 +-
 lang/python38/Makefile            |  2 +-
 lang/python39/Makefile            |  2 +-
 lang/ruby26/Makefile              |  2 +-
 lang/ruby27/Makefile              |  2 +-
 lang/scm/Makefile                 |  4 ----
 lang/sdcc/Makefile                |  2 +-
 lang/tauthon/Makefile             |  2 +-
 math/R/Makefile                   |  2 +-
 math/asymptote/Makefile           |  2 +-
 math/cvc4/Makefile                |  2 +-
 math/eukleides/Makefile           |  2 +-
 math/libqalculate/Makefile        |  2 +-
 math/units/Makefile               |  2 +-
 print/fontforge/Makefile          |  2 +-
 security/krb5-117/Makefile        | 12 ++----------
 security/krb5-118/Makefile        | 12 ++----------
 security/krb5-119/Makefile        | 12 ++----------
 security/krb5-devel/Makefile      | 12 ++----------
 sysutils/bareos-server/Makefile   |  2 +-
 sysutils/bareos17-server/Makefile |  2 +-
 sysutils/bareos18-server/Makefile |  2 +-
 sysutils/bareos19-server/Makefile |  2 +-
 sysutils/slurm-wlm/Makefile       |  2 +-
 40 files changed, 43 insertions(+), 79 deletions(-)
Comment 17 Tobias Kortkamp freebsd_committer 2021-05-15 07:17:17 UTC
Committed, thanks. I made some additional changes to krb5* and did not
apply the IMHO unrelated options changes in devel/gdb.